// Bauwerk erstellen	und auf Platz verschieben [Vienna  03.08.2011]    

Private ["_u","_n","_o","_k","_v","_a"];

_u = _this select 1;            //Aufrufende Unit
_n = (_this select 3) select 0; //Bauwerkname 
_o = (_this select 3) select 1; //Objektname des Bauwerks 
_k = (_this select 3) select 2; //Richtungskorrektur
_v = 10;                        //Verschiebeabstand

//Objekt erstellen
_b = createVehicle [_o, [0,0], [], 0, "NONE"];  

//Objekt drehen nach Richtung des Aufrufenden und Korrektur
_b setDir getDir _u + _k;

//Objekt vor aufrufende Unit stellen
_b setPos [((getPos _u)select 0) + sin(getDir _u) * _v, ((getPos _u)select 1) + cos(getdir _u) * _v];
 
//Infotext
_u groupChat format["Bauwerk %1 erstellt!  'Fixieren' oder entfernen mit Aktion",_n];

//Aktion fr aufrufende Unit zum fixieren des Bauwerkes 
_a1 = _u addAction 
  [
    "Bauwerk fixieren!",
    "Bau_Aktionen_b2.sqf",
    [_u],
    1003,
    true,
    true
  ];

//Aktion fr aufrufende Unit zum lschen des Bauwerkes 
_a2 = _u addAction 
  [
    "Bauwerk entfernen!",
    "Bau_Aktionen_b3.sqf",
    [_u,_b],
    1002,
    true,
    false
  ];
  
//Schleife fr Bauwerk verstellen
BauwerkPlazieren = true;
while {BauwerkPlazieren and alive _u} do
  {
    _b setPos [((getPos _u)select 0) + sin(getDir _u) * _v, ((getPos _u)select 1) + cos(getdir _u) * _v];
    _b setDir getDir _u + _k
  };

//Bauwerk fixiert oder entfernt
_u removeAction _a1; 
_u removeAction _a2; 

  


